> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getprimo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a vulnerability by CVE

> Return full details for a single CVE vulnerability including affected OS versions and software titles.

<span className="badge-read">Key: Read</span><span className="badge-company">Scope: Company</span>


## OpenAPI

````yaml https://api.getprimo.com/openapi.json get /software/vulnerability/{cve}
openapi: 3.1.1
info:
  title: Public API - BETA
  description: Read docs on https://docs.getprimo.com/
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getprimo.com
security:
  - apikey: []
tags: []
paths:
  /software/vulnerability/{cve}:
    get:
      tags:
        - Softwares
      summary: Get a vulnerability by CVE
      description: >-
        Return full details for a single CVE vulnerability including affected OS
        versions and software titles.
      operationId: getVulnerability
      parameters:
        - name: cve
          required: true
          in: path
          schema:
            type: string
      responses:
        default:
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetVulnerability_Output'
components:
  schemas:
    GetVulnerability_Output:
      type: object
      properties:
        cve:
          type: string
        createdAt:
          type: string
        hostsCount:
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
        hostsCountUpdatedAt:
          type: string
        detailsLink:
          type: string
        cvssScore:
          anyOf:
            - type: number
            - type: 'null'
        epssProbability:
          anyOf:
            - type: number
            - type: 'null'
        cisaKnownExploit:
          anyOf:
            - type: boolean
            - type: 'null'
        cvePublished:
          anyOf:
            - type: string
            - type: 'null'
        cveDescription:
          anyOf:
            - type: string
            - type: 'null'
        osVersions:
          type: array
          items:
            type: object
            properties:
              osVersionId:
                type: integer
                minimum: -9007199254740991
                maximum: 9007199254740991
              hostsCount:
                type: integer
                minimum: -9007199254740991
                maximum: 9007199254740991
              name:
                type: string
              nameOnly:
                type: string
              version:
                type: string
              resolvedInVersion:
                anyOf:
                  - type: string
                  - type: 'null'
              generatedCpes:
                type: array
                items:
                  type: string
            required:
              - osVersionId
              - hostsCount
              - name
              - nameOnly
              - version
              - resolvedInVersion
              - generatedCpes
            additionalProperties: false
        software:
          type: array
          items:
            type: object
            properties:
              id:
                type: integer
                minimum: -9007199254740991
                maximum: 9007199254740991
              softwareTitleId:
                anyOf:
                  - type: integer
                    minimum: -9007199254740991
                    maximum: 9007199254740991
                  - type: 'null'
              name:
                type: string
              version:
                type: string
              source:
                type: string
              generatedCpe:
                anyOf:
                  - type: string
                  - type: 'null'
              hostsCount:
                type: integer
                minimum: -9007199254740991
                maximum: 9007199254740991
              resolvedInVersion:
                anyOf:
                  - type: string
                  - type: 'null'
            required:
              - id
              - softwareTitleId
              - name
              - version
              - source
              - generatedCpe
              - hostsCount
              - resolvedInVersion
            additionalProperties: false
      required:
        - cve
        - createdAt
        - hostsCount
        - hostsCountUpdatedAt
        - detailsLink
        - cvssScore
        - epssProbability
        - cisaKnownExploit
        - cvePublished
        - cveDescription
        - osVersions
        - software
      additionalProperties: false
  securitySchemes:
    apikey:
      scheme: bearer
      bearerFormat: API key
      type: http
      description: >-
        Use your Primo API key in the Authorization header as `Bearer
        <API_KEY>`.

````